#include "Compiler.hpp"


namespace dumb {

	Compiler::Compiler(ArgumentList file) : sourceFile(std::filesystem::current_path() / std::filesystem::path(file.at(0))),
			lexer(std::make_unique<Lexer>(this->sourceFile)) {
		this->lexer->tokenize();
	}
}
