#pragma once

#include <vector>
#include <string>
#include <filesystem>
#include <memory>

#include "Lexer.hpp"

namespace dumb {
	typedef std::vector<std::string> ArgumentList;

	class Compiler {
		private:
			std::filesystem::path sourceFile;
			std::unique_ptr<Lexer> lexer;
		public:
			explicit Compiler(ArgumentList file);
	};

}

